#pragma once

#include "Window.h"

#include "Win32WindowInterface.h"

class DesktopManager;

class Win32UIInterface
{
public:
    Win32UIInterface();

    ~Win32UIInterface() = default;

    void Initialize(DesktopManager* desktopManager);

    void Loop(DesktopManager* desktopManager);

    void ShutDown();

    void ShowWindow(mt::Window* window);

    void AddWindow(mt::Window* window, DesktopManager* desktopManager);

private:

    Win32WindowInterfacePtr mWindowInterface;
};